from ess import fieldmap

'''
Example

The parameters in the following six rows define the path to your fieldmap, no name is needed, this script 
scans the folder and converts all files, assumes all are binary fieldmaps, to ASCII fieldmaps.
The dimension of the field is also needed.
If you need to cut the field, the n_enter and n_exit should be adjusted.
'''
mypath = 'Data/FM/'          # where the fieldmaps are stored
fieldmap_dim = 3
#fieldmap_dim = 2
#fieldmap_dim = 1
n_enter = 0                 #Number of lines to be removed from entrance of fieldmap
n_exit = 0                  #Number of lines to be removed from exit of fieldmap

onlyfiles = [f for f in os.listdir(mypath) if os.path.isfile(os.path.join(mypath, f))]

for f in onlyfiles:
    if f[0]!=".":

        if (n_enter+n_exit>0):
            Header, Field = fieldmap.cut_fieldmap_length(f, fieldmap_dim, n_enter, n_exit, 'b')
        else:
            Header, Field = fieldmap.read_binary_fieldmap(mypath+f, fieldmap_dim)

        save_to_ascii(Header, Field, fieldmap.fieldmap_dim, 'Data/FM/ASCII/', f)

test = False
#%pylab inline
if test == True:
    #field = field_on_axis_from_file('Data/FM/MB_W_coupler.edz', 3, 'b')
    field = field_on_axis_from_file('Data/FM/ASCII/Spoke_W_coupler.edz', 3, 'a')
    plot(field[0,:], field[1,:]) 
